Ask Your Question
1

Unable to install VLC in fedora 20

asked 2014-04-24 10:50:45 -0600

reju sam john gravatar image

updated 2014-04-24 12:00:31 -0600

remjg gravatar image

I am trying to install VLC player with the following command

yum -y install vlc

but I am getting the following error

Error: Package: vlc-core-2.1.4-4.fc21.x86_64 (rpmfusion-free-rawhide) Requires: libgcrypt.so.20(GCRYPT_1.6)(64bit)

Error: Package: vlc-core-2.1.4-4.fc21.x86_64 (rpmfusion-free-rawhide) Requires: libgcrypt.so.20()(64bit) You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest

Please help me to solve this

Thank You Reju Sam John

edit retag flag offensive close merge delete

Comments

1

I think this has something to do with rawhide repositories. I'd say try turning back to stable repositories.

mayorga gravatar imagemayorga ( 2014-04-24 11:10:14 -0600 )edit

Thanks @mayorga.... But how to do it?

reju sam john gravatar imagereju sam john ( 2014-04-24 11:55:56 -0600 )edit

Can you give us the output of the command yum repolist all?

remjg gravatar imageremjg ( 2014-04-24 12:43:12 -0600 )edit
1

@remjg here is the output

[john @localhost ~]$ yum repolist all
Loaded plugins: langpacks, refresh-packagekit
repo id                                                           repo name                                                            status
fedora/20/x86_64                                                  Fedora 20 - x86_64                                                   enabled: 38,597
fedora-debuginfo/20/x86_64                                        Fedora 20 - x86_64 - Debug                                           disabled
fedora-source/20/x86_64                                           Fedora 20 - Source                                                   disabled
google-chrome                                                     google-chrome                                                        enabled:      3
graphviz-snapshot/20/x86_64                                       Graphviz - Fedora 20 - x86_64                                        disabled
graphviz-snapshot-debuginfo/20/x86_64                             Graphviz - Fedora - Debug                                            disabled
graphviz-snapshot-source                                          Graphviz - Fedora 20 - Source                                        disabled
graphviz-stable/20/x86_64                                         Graphviz - Fedora 20 - x86_64                                        enabled:     89
graphviz-stable-debuginfo/20/x86_64                               Graphviz - Fedora - Debug                                            disabled
graphviz-stable-source                                            Graphviz - Fedora 20 - Source                                        disabled
home_Kenzy_packages                                               Kenzy Packages (Fedora_20)                                           enabled:    803
linuxtech-backports                                               LinuxTECH.NET el6 backports repo                                     disabled
linuxtech-release                                                 LinuxTECH.NET el6 production repo                                    enabled:  1,151
linuxtech-testing                                                 LinuxTECH.NET el6 testing repo                                       disabled
livna                                                             rpm.livna.org for 20 - x86_64                                        enabled:      8
livna-debuginfo                                                   rpm.livna.org for 20 - x86_64 - Debug                                disabled
livna-source                                                      rpm.livna.org for 20 - x86_64 - Source                               disabled
rpmfusion-free/20/x86_64                                          RPM ...
(more)
reju sam john gravatar imagereju sam john ( 2014-04-24 13:36:11 -0600 )edit

2 Answers

Sort by ยป oldest newest most voted
1

answered 2014-04-24 13:45:49 -0600

remjg gravatar image

updated 2014-04-24 13:49:35 -0600

As @mayorga wrote, you need to disable the rawhide-rpmfusion-free repository that targets the Fedora development version:

sudo yum-config-manager --disable rpmfusion-free-rawhide

And then you need enable the corresponding stable repository rpmfusion-free:

sudo yum-config-manager --enable rpmfusion-free

Also the following repository for updates should be enabled too:

sudo yum-config-manager --enable rpmfusion-free-updates
edit flag offensive delete link more

Comments

now i am getting the following error

Error: Package: vlc-core-2.1.4-1.fc20.x86_64 (rpmfusion-free-updates)
           Requires: libass.so.4()(64bit)
           Available: libass-0.10.0-3.el6.x86_64 (linuxtech-release)
               libass.so.4()(64bit)
           Available: libass-0.10.1-4.fc20.x86_64 (fedora)
               libass.so.4()(64bit)
           Installed: libass-0.10.2-1.fc21.x86_64 (installed)
              ~libass.so.5()(64bit)
Error: Package: ffmpeg-libs-2.1.4-1.fc20.x86_64 (rpmfusion-free-updates)
           Requires: libass.so.4()(64bit)
           Available: libass-0.10.0-3.el6.x86_64 (linuxtech-release)
               libass.so.4()(64bit)
           Available: libass-0.10.1-4.fc20.x86_64 (fedora)
               libass.so.4()(64bit)
           Installed: libass-0.10.2-1.fc21.x86_64 (installed)
              ~libass.so.5()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
reju sam john gravatar imagereju sam john ( 2014-04-24 19:15:57 -0600 )edit

Try removing the package libass with sudo yum remove libass and then install vlc again.

remjg gravatar imageremjg ( 2014-04-25 02:58:23 -0600 )edit
1

Even simpler I think: try sudo yum distro-sync to synchronize the available packages from the repositories you have configured with your installation. It will ask you to downgrade a few packages that you installed from the rawhide repository.

remjg gravatar imageremjg ( 2014-04-25 03:01:41 -0600 )edit

Thanks @remjg.... :-) Now vlc has been installed..... :-)

reju sam john gravatar imagereju sam john ( 2014-08-27 04:43:41 -0600 )edit

@reju Which comment helped more, or were both necessary?

Pysis gravatar imagePysis ( 2017-02-26 14:11:22 -0600 )edit
0

answered 2014-04-24 12:17:36 -0600

deusdara gravatar image

Hi

According to your command output, please run those commands

yum update --skip-broken

And

rpm -Va --nofiles --nodigest

edit flag offensive delete link more

Comments

Thanks deusdara.... This will finish the command run without error. But VLC is not get installed.

reju sam john gravatar imagereju sam john ( 2014-04-24 12:25:55 -0600 )edit

Question Tools

Stats

Asked: 2014-04-24 10:50:45 -0600

Seen: 4,882 times

Last updated: Apr 24 '14